javaee-demo1-jsf/src/main/java/pl/tpolgrabia/trainings/javaee/controllers/HelloController.java
package pl.tpolgrabia.trainings.javaee.controllers;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import pl.tpolgrabia.trainings.javaee.javaeedemo.ejb.SimpleMessageSendingBean;
import pl.tpolgrabia.trainings.javaee.javaeedemo.ejb.TodosDao;
import pl.tpolgrabia.trainings.javaee.javaeedemo.ejb.UserDao;
import pl.tpolgrabia.trainings.javaee.javaeedemo.entities.User;

import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;
import java.io.Serializable;
import java.util.List;

@Named
@ViewScoped
public class HelloController implements Serializable {
    private static final long serialVersionUID = 2780964279445984180L;
    private static final Logger logger = LoggerFactory.getLogger(HelloController.class);

    @Inject
    private TodosDao todosDao;

    @Inject
    private UserDao userDao;

    @Inject
    private SimpleMessageSendingBean simpleMessageSendingBean;

    private String message;
    private boolean markedAsDanger = false;

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<String> getAllTodos() {
        return todosDao.findAll();
    }

    public boolean isMarkedAsDanger() {
        return markedAsDanger;
    }

    public List<User> getAllUsers() {
        return userDao.findAll();
    }

    public String handleSubmit() {
        logger.info("Submitting message {}", message);
        simpleMessageSendingBean.sendHello(message);
        return "index";
    }

    public void toggleButtonClass() {
        this.markedAsDanger = !markedAsDanger;
        logger.info("Hello action");
    }

    @PostConstruct
    public void init() {
        this.message = "Submit me";
        logger.info("Initialized with message {}", message);
    }
}

javaee-demo1-jsf/src/main/webapp/index.xhtml
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:jsf="http://xmlns.jcp.org/jsf"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets">
<head jsf:id="head">
    <title>JSF 2.2</title>
    <h:outputStylesheet name="webjars/bulma/0.9.1/css/bulma.min.css"/>
</head>
<body jsf:id="body">
<nav class="navbar" role="navigation" aria-label="main navigation">
    <div class="navbar-brand">
        <a class="navbar-item" href="https://bulma.io">
            <img src="https://bulma.io/images/bulma-logo.png" width="112" height="28"/>
        </a>

        <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
    </div>

    <div id="navbarBasicExample" class="navbar-menu">
        <div class="navbar-start">
            <a class="navbar-item">
                Home
            </a>

            <a class="navbar-item">
                Documentation
            </a>

            <div class="navbar-item has-dropdown is-hoverable">
                <a class="navbar-link">
                    More
                </a>

                <div class="navbar-dropdown">
                    <a class="navbar-item">
                        About
                    </a>
                    <a class="navbar-item">
                        Jobs
                    </a>
                    <a class="navbar-item">
                        Contact
                    </a>
                    <hr class="navbar-divider"/>
                    <a class="navbar-item">
                        Report an issue
                    </a>
                </div>
            </div>
        </div>

        <div class="navbar-end">
            <div class="navbar-item">
                <div class="buttons">
                    <a class="button is-primary">
                        <strong>Sign up</strong>
                    </a>
                    <a class="button is-light">
                        Log in
                    </a>
                </div>
            </div>
        </div>
    </div>
</nav>
<ul>
    <ui:repeat value="#{helloController.allTodos}" var="todo">
        <li>#{todo}</li>
    </ui:repeat>
</ul>
<h:dataTable value="#{helloController.allUsers}" var="p" styleClass="table is-striped is-fullwidth">
    <h:column>
        <f:facet name="header">ID</f:facet>
        <h:outputText value="#{p.id}"/>
    </h:column>
    <h:column>
        <f:facet name="header">First name</f:facet>
        <h:outputText value="#{p.firstName}"/>
    </h:column>
    <h:column>
        <f:facet name="header">User name</f:facet>
        <h:outputText value="#{p.userName}"/>
    </h:column>
</h:dataTable>
<form jsf:id="form">
    <div class="field is-horizontal">
        <div class="field-label is-normal">
            <label for="message" class="label">Message</label>
        </div>
        <div class="field-body">
            <div class="field">
                <p class="control">
                    <h:inputText id="message" name="message" type="text" class="input"
                                 value="#{helloController.message}"/>
                </p>
            </div>
        </div>
    </div>
    <h:commandButton action="#{helloController.handleSubmit}" class="button is-light" value="Submit me"/>
    <button type="button" jsf:action="#{helloController.toggleButtonClass}"
            class="button #{helloController.markedAsDanger ? 'is-danger' : 'is-light'}">
        Action me
        <f:ajax render="@form"/>
    </button>
</form>
</body>
</html>